<?php
/*------------------------------------------------------------------
Theme: NewStyle_One
Datei: theme.php
Erstellt am: 29.02.2012
Autor: Jean-Paul Hesse - Mod-Rescue
+----------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2010 Nick Jones
| http://www.php-fusion.co.uk/
+----------------------------------------------------+
| This program is released as free software under the 
| Affero GPL license. You can redistribute it and/or              
| modify it under the terms of this license which you                    
| can read by viewing the included agpl.txt or online 
| at www.gnu.org/licenses/agpl.html        
| Removal of this copyright header is strictly 
| prohibited without written permission from the 
| original author(s).
-------------------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

define("THEME_BULLET", "<img src='".THEME."images/bullet.png' />");

require_once INCLUDES."theme_functions_include.php";

function render_page($license=false) {
	
	global $settings, $main_style, $locale;

	//Container
	echo "<table cellpadding='0' cellspacing='0' align='center' class='container'>\n<tr>\n<td>\n";

	//Headerlogin
	if (iGUEST) {
		echo "<table cellpadding='0' cellspacing='0' width='100%'><tr>\n";
		echo "<td class='sub-header-left' align='left' width='1%' valign='middle' nowrap='nowrap'>";
	
			// User Hello
			echo "<span style='color:#FFFFFF;'>&nbsp;&nbsp;";
		
			$timestamp = time();
			$datum = date("d.m.Y",$timestamp);
			$uhrzeit = date("H:i",$timestamp);
			$uhr = " ";
	
			if ($uhrzeit>"00:00" && $uhr<"11:30" or $uhr=="00:00") {
				$hallo = "<strong>Guten Morgen [<span style='color:#11FF22'>Besucher</span>]</strong>";
			} elseif ($uhrzeit>"11:30" && $uhr<"14:00" or $uhr=="11:30") {
				$hallo = "<strong>Mahlzeit [<span style='color:#11FF22'>Besucher</span>]</strong>";
			} elseif ($uhrzeit>"14:00" && $uhr<"17:00" or $uhr=="14:00") {
				$hallo = "<strong>Guten Tag [<span style='color:#11FF22'>Besucher</span>]</strong>";
			} elseif ($uhrzeit>"17:00" && $uhr<"22:00" or $uhr=="17:00") {
				$hallo = "<strong>Guten Abend [<span style='color:#11FF22'>Besucher</span>]</strong>";
			} elseif ($uhrzeit>"22:00" && $uhr<"00:00" or $uhr=="22:00") {
				$hallo = "<strong>Gute Nacht [<span style='color:#11FF22'>Besucher</span>]</strong>";
			}
		
			echo $hallo."</span>";

		echo "</td>";
		echo "<td class='sub-header-left' align='right' valign='middle' nowrap='nowrap'>";

			// Loginform
			echo "<form name='loginform' method='post' action='".FUSION_SELF."'>\n";
			echo $locale['global_109']." "."<input type='text' name='user_name' class='textbox' style='width:100px' />\n";
			echo "&nbsp;&nbsp;&nbsp;&nbsp;";
			echo $locale['global_110']." "."<input type='password' name='user_pass' class='textbox' style='width:100px' />\n";
			echo "<input type='checkbox' name='remember_me' value='y' class='checkbox' style='vertical-align:middle;' /><b><span style='Color:#FFFFFF; font-size:10px;'>Daten merken?</b></span>\n";
			echo "<input type='submit' name='login' value='".$locale['global_104']."' class='button1' />&nbsp;&nbsp;\n";
			echo "</form>\n";

			// Links
			echo "<a class='a2' href='http://4Friends.mod-rescue.de/register.php'>Kostenlos Registrieren</a> <span style='color:#FFFF00;'>|</span> <a class='a2' href='http://4Friends.mod-rescue.de/lostpassword.php'>Passwort Vergessen?</a>&nbsp;&nbsp;";
		
		echo "</td>";
		echo "</tr></table>\n";
	
	}

	//Header
	echo "<table cellpadding='0' cellspacing='0' width='100%'><tr>\n";
	echo "<td class='kopp'></td>";
	echo "</tr>\n</table>\n";

	// CSS DropDown Menu
	echo "<table cellpadding='0' cellspacing='0' width='100%'><tr>\n";
	echo "<td class='sub-header-left' align='left'>";
	include INFUSIONS."css_dropdown_menu/menu.php";
	echo "</td>";
	echo "</tr></table>\n";
	
	//Content	
	echo "<table cellpadding='0' cellspacing='0' width='100%' class='$main_style'>\n<tr>\n";
	if (LEFT) { echo "<td class='side-border-left' valign='top'>".LEFT."</td>"; }
	echo "<td class='main-bg' valign='top'>".U_CENTER.CONTENT.L_CENTER."</td>";
	if (RIGHT) { echo "<td class='side-border-right' valign='top'>".RIGHT."</td>"; }
	echo "</tr>\n</table>\n";
	
	//Footer
	echo "<table cellpadding='0' cellspacing='0' width='100%'>\n<tr>\n";
	echo "<td class='sub-header-right'></td>\n";
	echo "<td class='sub-header-right'></td>\n";
	echo "</tr>\n</table>\n";
	
	
	
	echo "<table cellpadding='0' cellspacing='0' width='100%'>\n<tr>\n";
	echo "<td align='left' class='main-footer'>";
	echo "<img src='http://4Friends.mod-rescue.de/themes/NewStyle_Two/images/bullet_footer.png'></img> <a href='http://4Friends.mod-rescue.de/Nutzerbedingungen.php'>Nutzerbedingungen</a>  ";
	echo "<img src='http://4Friends.mod-rescue.de/themes/NewStyle_Two/images/bullet_footer.png'> <a href='http://4Friends.mod-rescue.de/Datenschutz.php'>Datenschutz</a> ";
	echo "<img src='http://4Friends.mod-rescue.de/themes/NewStyle_Two/images/bullet_footer.png'> <a href='http://4Friends.mod-rescue.de/contact.php'>Kontakt</a> ";
	echo "<img src='http://4Friends.mod-rescue.de/themes/NewStyle_Two/images/bullet_footer.png'> <a href='http://4Friends.mod-rescue.de/Imprint.php'>Impressum</a>";
	echo "</tr>\n";
	echo "<tr>\n";
	echo "<td align='middle' class='main-footer'>".stripslashes($settings['footer']);
	echo "</tr>\n";
	echo "<tr>\n";
	if (!$license) { echo "<td align='middle' class='main-footer'>\n".showcopyright(); }
	echo "<br />Designed: <a href='mailto:info@mod-rescue.de'>Jean-Paul Hesse</a> f&uuml;r <a href='http://Community.mod-rescue.de'>Mod-Rescue.de</a> (2011) ";
	echo "</tr>\n</table>\n";
}



function render_news($subject, $news, $info) {

   echo "<table cellpadding='0' cellspacing='0' width='100%'>\n<tr>\n";
   echo "<td class='capmain-left'></td>\n";
   echo "<td class='capmain'>".$subject."</td>\n";
   echo "<td class='capmain-right'></td>\n";
   echo "</tr></table>\n";
   echo "<table width='100%' cellpadding='0' cellspacing='0' class='spacer'><tr>\n";
   echo "<td class='main-body middle-border' >".$news."</td>\n";
   echo "</tr>\n<tr>\n";
 echo "<td align='center' class='news-footer middle-border'>Geschrieben am ".showdate('<b>%d. %B %Y</b> um <b>%H:%M</b> Uhr', $info['news_date'])." von <b>[</b><a href='profile.php?lookup=".$info['user_id']."'>".$info['user_name']."</a><b>]</b></td>\n";
   echo "<td style='height:2px;background-color:#DDDDDD;'></td>\n";
   echo "</tr>\n</table>\n";

}



function render_article($subject, $article, $info) {
	
	echo "<table width='100%' cellpadding='0' cellspacing='0'>\n<tr>\n";
	echo "<td class='capmain-left'></td>\n";
	echo "<td class='capmain'>".$subject."</td>\n";
	echo "<td class='capmain-right'></td>\n";
	echo "</tr>\n</table>\n";
	echo "<table width='100%' cellpadding='0' cellspacing='0' class='spacer'>\n<tr>\n";
	echo "<td class='main-body middle-border'>".($info['article_breaks'] == "y" ? nl2br($article) : $article)."</td>\n";
	echo "</tr>\n<tr>\n";
	echo "<td align='center' class='news-footer'>\n";
	echo articleposter($info," &middot;").articleopts($info,"&middot;").itemoptions("A",$info['article_id']);
	echo "</td>\n</tr>\n</table>\n";

}

function opentable($title) {

	echo "<table cellpadding='0' cellspacing='0' width='100%'>\n<tr>\n";
	echo "<td class='capmain-left'></td>\n";
	echo "<td class='capmain'>".$title."</td>\n";
	echo "<td class='capmain-right'></td>\n";
	echo "</tr>\n</table>\n";
	echo "<table cellpadding='0' cellspacing='0' width='100%' class='spacer'>\n<tr>\n";
	echo "<td class='main-body'>\n";

}

function closetable() {

	echo "</td>\n";
	echo "</tr><tr>\n";
	echo "<td style='height:2px;background-color:#DDDDDD;'></td>\n";
	echo "</tr>\n</table>\n";

}

function openside($title, $collapse = false, $state = "on") {

	global $panel_collapse; $panel_collapse = $collapse;
	
	echo "<table cellpadding='0' cellspacing='0' width='100%'>\n<tr>\n";
	echo "<td class='scapmain-left'></td>\n";
	echo "<td class='scapmain'>$title</td>\n";
	if ($collapse == true) {
		$boxname = str_replace(" ", "", $title);
		echo "<td class='scapmain' align='right'>".panelbutton($state, $boxname)."</td>\n";
	}
	echo "<td class='scapmain-right'></td>\n";
	echo "</tr>\n</table>\n";
	echo "<table cellpadding='0' cellspacing='0' width='100%' class='spacer'>\n<tr>\n";
	echo "<td class='side-body'>\n";	
	if ($collapse == true) { echo panelstate($state, $boxname); }

}

function closeside() {
	
	global $panel_collapse;

	if ($panel_collapse == true) { echo "</div>\n"; }	
	echo "</td>\n</tr>\n</table>\n";

}
?>
